Convertitori video e audio: contenitori, codec, bitrate e qualità
MP4, WebM, MOV e MKV sono contenitori; i codec sono all’interno. MP4 in WebM può richiedere remux o transcode.
Container/codec
Il container organizza track e timing; il codec comprime.
Supporto MP4 non implica supporto codec.
Remux
Stream copy evita una nuova perdita.
Transcode lossy crea generational loss.
Bitrate
Bitrate non garantisce qualità.
Compressor può ridurre bitrate/risoluzione.
Risoluzione/FPS
Upscale non crea dettaglio.
Mantenete fps nativo.
Audio
Codec, sample rate e canali contano; FLAC è lossless.
MP3 in FLAC non recupera qualità.
Formati
Opus/MP3/AAC/FLAC hanno scopi diversi.
Compatibilità guida scelta.
Extract
MP4 in MP3 può ricodificare audio.
Scegliete track giusta.
Metadata
Subtitle/HDR/chapters possono perdersi.
Controllate output.
Web
Streaming usa più renditions.
Cambio container non basta.
Workflow
Inspect, remux se possibile, transcode da master.
Testate sync e captions.
Domande frequenti
MP4 è codec?
No.
MP3->FLAC migliora?
No.
Remux?
Cambio container senza re-encode.
Più bitrate sempre meglio?
No.
Standard media
- RFC 9559 — Matroska Media Container Format
- RFC 6716 — Definition of the Opus Audio Codec
- RFC 9639 — Free Lossless Audio Codec (FLAC)
- W3C — Media Source Extensions
This article is an original practical guide informed by the standards and official references above.